Bug 108798 - Signing existing PDF is broken
Summary: Signing existing PDF is broken
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0 target:5.4.0.2
Keywords:
Depends on:
Blocks: Digital-Signatures
  Show dependency treegraph
 
Reported: 2017-06-26 20:03 UTC by Samuel Mehrbrodt (CIB)
Modified: 2017-06-29 10:44 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2017-06-26 20:03:54 UTC
When trying to add a signature:

warn:legacy.osl:10999:1:xmlsecurity/source/dialogs/digitalsignaturesdialog.cxx:439: Exception while adding a signature!
Comment 1 Commit Notification 2017-06-28 06:10:01 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=84dfff475c1f25319bc22c7b6ad437d5501a7dc4

tdf#108798 Make CanSignWithGPG work with PDF docs

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Samuel Mehrbrodt (CIB) 2017-06-28 10:01:03 UTC
Still broken, it fails in:
xmlsecurity/source/helper/pdfsignaturehelper.cxx:130: failed to sign

which leads to the vcl implementation.

Requesting bibisect.
Comment 3 Commit Notification 2017-06-28 10:04:12 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bd9fef1f6111577415e0716d680d6e714e0b5750&h=libreoffice-5-4

tdf#108798 Make CanSignWithGPG work with PDF docs

It will be available in 5.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.